# test.cpp File Reference

`#include "ACEXML/common/XML_Util.h"`
`#include "ace/OS_main.h"`
`#include "ace/Time_Value.h"`
`#include "ace/OS_NS_sys_time.h"`
`#include "ace/Log_Msg.h"`

Include dependency graph for test.cpp:

## Functions

bool | is_escaped (const ACEXML_String &s)
int | run_tests (ACEXML_String test_strings[NUM_TEST_STRS], int iterations)
int | ACE_TMAIN (int, ACE_TCHAR *[])

## Variables

const int | MAX_ITERATIONS = 100 * 1000
const int | NUM_TEST_STRS = 6

## Function Documentation

int ACE_TMAIN | ( | int | ,
|  | ACE_TCHAR * | []
| ) |

bool is_escaped | ( | const ACEXML_String & | s | ) | `[static]`

int run_tests | ( | ACEXML_String | test_strings[NUM_TEST_STRS],
|  | int | iterations
| ) | `[static]`

## Variable Documentation

const int MAX_ITERATIONS = 100 * 1000

const int NUM_TEST_STRS = 6